Update a list item
- Base URL
-
https://{kibana_url}
-
PUT
/api/lists/items
-
PUT
/s/{space_id}/api/lists/items
Auth
Update a list item using the list item ID. The original list item is replaced, and all unspecified fields are deleted.
You cannot modify the id value.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
List item's properties
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
value
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
@timestamp
string · format: date-time
-
created_at
string · format: date-time
required
-
created_by
string
required
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
list_id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
-
tie_breaker_id
string
required
-
type
enum
required
-
Values:
binary
boolean
byte
date
date_nanos
date_range
double
double_range
float
float_range
geo_point
geo_shape
half_float
integer
integer_range
ip
ip_range
keyword
long
long_range
shape
short
text
-
updated_at
string · format: date-time
required
-
updated_by
string
required
-
value
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters
Invalid input data response
application/json
One of:
-
status_code
integer
required
Unsuccessful authentication response
application/json
-
statusCode
integer
required
Not enough privileges response
application/json
-
statusCode
integer
required
List item not found response
application/json
-
status_code
integer
required
Internal server error response
application/json
-
status_code
integer
required
Thank you for your feedback.